# Generated from tbg_social-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tbg_social

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Social engagement module
License: MIT
URL: https://github.com/thebeansgroup/social
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(pry-rails)
# BuildRequires: rubygem(pry-stack_explorer)
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(shoulda-matchers)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
It finds, caches and updates social engagement of urls on social media
(facebook, twitter).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/rails
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_instdir}/fixtures
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/social.gemspec
%{gem_instdir}/spec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.1-1
- Initial package
